
#include "hwCtrl.h"
#include "r_cg_port.h"
#include "iodefine.h"
#include "appTask.h"


#define IO_KEY_RESET    P2_bit.no2
#define IO_RLY_CTRL1    P1_bit.no0
#define IO_RLY_CTRL2    P6_bit.no1


extern uint16_t g_AdVal[3];


uint8_t GetKeyState(uint8_t keyno)
{
    switch (keyno)
    {
    case KEY_RESET:
        return IO_KEY_RESET==0?1:0;
        break;
    default:
        return 0;
        break;
    }
}

void MotorCtrl(uint8_t act)
{
    switch (act)
    {
    case MOTOR_ZZ:
        IO_RLY_CTRL1 = 1;
        IO_RLY_CTRL2 = 0;
        break;
    case MOTOR_FZ:
        IO_RLY_CTRL1 = 0;
        IO_RLY_CTRL2 = 1;
        break;

    default:
        IO_RLY_CTRL1 = 0;
        IO_RLY_CTRL2 = 0;
        break;
    }
    
}